pcl::MLSResult::MLSProjectionResults Struct Reference

Data structure used to store the MLS projection results. More...

`#include <pcl/surface/mls.h>`

## Public Member Functions

| MLSProjectionResults ()

## Public Attributes

double | u
| The u-coordinate of the projected point in local MLS frame. More...
double | v
| The u-coordinate of the projected point in local MLS frame. More...
Eigen::Vector3d | point
| The projected point. More...
Eigen::Vector3d | normal
| The projected point's normal. More...

## Detailed Description

Data structure used to store the MLS projection results.

Definition at line 81 of file mls.h.

## Constructor & Destructor Documentation

## MLSProjectionResults()

pcl::MLSResult::MLSProjectionResults::MLSProjectionResults | ( |  | ) |

inline

Definition at line 83 of file mls.h.

## Member Data Documentation

## normal

Eigen::Vector3d pcl::MLSResult::MLSProjectionResults::normal

The projected point's normal.

Definition at line 88 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::computeMLSPointNormal(), pcl::MovingLeastSquares< PointInT, PointOutT >::performUpsampling(), pcl::MLSResult::projectPointOrthogonalToPolynomialSurface(), pcl::MLSResult::projectPointSimpleToPolynomialSurface(), pcl::MLSResult::projectPointToMLSPlane(), and pcl::MLSResult::projectQueryPoint().

## point

Eigen::Vector3d pcl::MLSResult::MLSProjectionResults::point

The projected point.

Definition at line 87 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::computeMLSPointNormal(), pcl::MovingLeastSquares< PointInT, PointOutT >::performUpsampling(), pcl::MLSResult::projectPointOrthogonalToPolynomialSurface(), pcl::MLSResult::projectPointSimpleToPolynomialSurface(), pcl::MLSResult::projectPointToMLSPlane(), and pcl::MLSResult::projectQueryPoint().

## u

double pcl::MLSResult::MLSProjectionResults::u

The u-coordinate of the projected point in local MLS frame.

Definition at line 85 of file mls.h.

Referenced by pcl::MLSResult::projectPointOrthogonalToPolynomialSurface(), pcl::MLSResult::projectPointSimpleToPolynomialSurface(), and pcl::MLSResult::projectPointToMLSPlane().

## v

double pcl::MLSResult::MLSProjectionResults::v

The u-coordinate of the projected point in local MLS frame.

Definition at line 86 of file mls.h.

Referenced by pcl::MLSResult::projectPointOrthogonalToPolynomialSurface(), pcl::MLSResult::projectPointSimpleToPolynomialSurface(), and pcl::MLSResult::projectPointToMLSPlane().

The documentation for this struct was generated from the following file:

- pcl/surface/mls.h